#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BatchGetSeriesMetadataResponse {
    #[builder(
        default,
        map(
            key(type = conjure_object::ResourceIdentifier),
            value(
                custom(
                    type = impl
                    IntoIterator<Item = super::SeriesMetadata>,
                    convert = |v|v.into_iter().collect()
                )
            )
        )
    )]
    #[serde(
        rename = "responses",
        skip_serializing_if = "std::collections::BTreeMap::is_empty",
        default
    )]
    responses: std::collections::BTreeMap<
        conjure_object::ResourceIdentifier,
        std::collections::BTreeSet<super::SeriesMetadata>,
    >,
}
impl BatchGetSeriesMetadataResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn responses(
        &self,
    ) -> &std::collections::BTreeMap<
        conjure_object::ResourceIdentifier,
        std::collections::BTreeSet<super::SeriesMetadata>,
    > {
        &self.responses
    }
}
